org.apache.poi.hwpf.model

## Class FIBFieldHandler

- java.lang.Object
- - org.apache.poi.hwpf.model.FIBFieldHandler

-     @Internal
      public final class FIBFieldHandler
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTOSAVESOURCE`
    `static int` | `BKDEDN`
    `static int` | `BKDFTN`
    `static int` | `BKDMOTHER`
    `static int` | `CLX`
    `static int` | `CMDS`
    `static int` | `DGGINFO`
    `static int` | `DOCUNDO`
    `static int` | `DOP`
    `static int` | `FORMFLDSTTBS`
    `static int` | `GRPXSTATNOWNERS`
    `static int` | `MODIFIED`
    `static int` | `PGDEDN`
    `static int` | `PGDFTN`
    `static int` | `PGDMOTHER`
    `static int` | `PLCASUMY`
    `static int` | `PLCDOAHDR`
    `static int` | `PLCFANDREF`
    `static int` | `PLCFANDTXT`
    `static int` | `PLCFATNBKF`
    `static int` | `PLCFATNBKL`
    `static int` | `PLCFBKF`
    `static int` | `PLCFBKL`
    `static int` | `PLCFBTECHPX`
    `static int` | `PLCFBTELVC`
    `static int` | `PLCFBTEPAPX`
    `static int` | `PLCFDOAMOM`
    `static int` | `PLCFENDREF`
    `static int` | `PLCFENDTXT`
    `static int` | `PLCFFLDATN`
    `static int` | `PLCFFLDEDN`
    `static int` | `PLCFFLDFTN`
    `static int` | `PLCFFLDHDR`
    `static int` | `PLCFFLDHDRTXBX`
    `static int` | `PLCFFLDMCR`
    `static int` | `PLCFFLDMOM`
    `static int` | `PLCFFLDTXBX`
    `static int` | `PLCFFNDREF`
    `static int` | `PLCFFNDTXT`
    `static int` | `PLCFGLSY`
    `static int` | `PLCFGRAM`
    `static int` | `PLCFHDD`
    `static int` | `PLCFHDRTXBXTXT`
    `static int` | `PLCFLST` Deprecated.
    `static int` | `PLCFLVC`
    `static int` | `PLCFPAD`
    `static int` | `PLCFPGDEDN`
    `static int` | `PLCFPGDFTN`
    `static int` | `PLCFPHE`
    `static int` | `PLCFSEA`
    `static int` | `PLCFSED`
    `static int` | `PLCFSPL`
    `static int` | `PLCFTXBXBKD`
    `static int` | `PLCFTXBXHDRBKD`
    `static int` | `PLCFTXBXTXT`
    `static int` | `PLCFWKB`
    `static int` | `PLCMCR`
    `static int` | `PLCOCX`
    `static int` | `PLCSPAHDR`
    `static int` | `PLCSPAMOM`
    `static int` | `PLCUPCRGBUSE`
    `static int` | `PLCUPCUSP`
    `static int` | `PLFLFO`
    `static int` | `PLFLST`
    `static int` | `PLGOSL`
    `static int` | `PMS`
    `static int` | `PRDRVR`
    `static int` | `PRENVLAND`
    `static int` | `PRENVPORT`
    `static int` | `RGBUSE`
    `static int` | `ROUTESLIP`
    `static int` | `STSHF`
    `static int` | `STSHFORIG`
    `static int` | `STTBAUTOCAPTION`
    `static int` | `STTBCAPTION`
    `static int` | `STTBFASSOC`
    `static int` | `STTBFATNBKMK`
    `static int` | `STTBFBKMK`
    `static int` | `STTBFFFN`
    `static int` | `STTBFINTFLD`
    `static int` | `STTBFMCR`
    `static int` | `STTBFNM`
    `static int` | `STTBFRMARK`
    `static int` | `STTBFUSSR`
    `static int` | `STTBGLSY`
    `static int` | `STTBGLSYSTYLE`
    `static int` | `STTBLISTNAMES`
    `static int` | `STTBSAVEDBY`
    `static int` | `STTBTTMBD`
    `static int` | `STWUSER`
    `static int` | `UNUSED`
    `static int` | `USKF`
    `static int` | `USP`
    `static int` | `WSS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearFields()`
    `int` | `getFieldOffset(int field)`
    `int` | `getFieldsCount()`
    `int` | `getFieldSize(int field)`
    `void` | `setFieldOffset(int field, int offset)`
    `void` | `setFieldSize(int field, int size)`
    `int` | `sizeInBytes()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STSHFORIG

          public static final int STSHFORIG

      See Also:
        Constant Field Values

    - #### STSHF

          public static final int STSHF

      See Also:
        Constant Field Values

    - #### PLCFFNDREF

          public static final int PLCFFNDREF

      See Also:
        Constant Field Values

    - #### PLCFFNDTXT

          public static final int PLCFFNDTXT

      See Also:
        Constant Field Values

    - #### PLCFANDREF

          public static final int PLCFANDREF

      See Also:
        Constant Field Values

    - #### PLCFANDTXT

          public static final int PLCFANDTXT

      See Also:
        Constant Field Values

    - #### PLCFSED

          public static final int PLCFSED

      See Also:
        Constant Field Values

    - #### PLCFPAD

          public static final int PLCFPAD

      See Also:
        Constant Field Values

    - #### PLCFPHE

          public static final int PLCFPHE

      See Also:
        Constant Field Values

    - #### STTBGLSY

          public static final int STTBGLSY

      See Also:
        Constant Field Values

    - #### PLCFGLSY

          public static final int PLCFGLSY

      See Also:
        Constant Field Values

    - #### PLCFHDD

          public static final int PLCFHDD

      See Also:
        Constant Field Values

    - #### PLCFBTECHPX

          public static final int PLCFBTECHPX

      See Also:
        Constant Field Values

    - #### PLCFBTEPAPX

          public static final int PLCFBTEPAPX

      See Also:
        Constant Field Values

    - #### PLCFSEA

          public static final int PLCFSEA

      See Also:
        Constant Field Values

    - #### STTBFFFN

          public static final int STTBFFFN

      See Also:
        Constant Field Values

    - #### PLCFFLDMOM

          public static final int PLCFFLDMOM

      See Also:
        Constant Field Values

    - #### PLCFFLDHDR

          public static final int PLCFFLDHDR

      See Also:
        Constant Field Values

    - #### PLCFFLDFTN

          public static final int PLCFFLDFTN

      See Also:
        Constant Field Values

    - #### PLCFFLDATN

          public static final int PLCFFLDATN

      See Also:
        Constant Field Values

    - #### PLCFFLDMCR

          public static final int PLCFFLDMCR

      See Also:
        Constant Field Values

    - #### STTBFBKMK

          public static final int STTBFBKMK

      See Also:
        Constant Field Values

    - #### PLCFBKF

          public static final int PLCFBKF

      See Also:
        Constant Field Values

    - #### PLCFBKL

          public static final int PLCFBKL

      See Also:
        Constant Field Values

    - #### CMDS

          public static final int CMDS

      See Also:
        Constant Field Values

    - #### PLCMCR

          public static final int PLCMCR

      See Also:
        Constant Field Values

    - #### STTBFMCR

          public static final int STTBFMCR

      See Also:
        Constant Field Values

    - #### PRDRVR

          public static final int PRDRVR

      See Also:
        Constant Field Values

    - #### PRENVPORT

          public static final int PRENVPORT

      See Also:
        Constant Field Values

    - #### PRENVLAND

          public static final int PRENVLAND

      See Also:
        Constant Field Values

    - #### WSS

          public static final int WSS

      See Also:
        Constant Field Values

    - #### DOP

          public static final int DOP

      See Also:
        Constant Field Values

    - #### STTBFASSOC

          public static final int STTBFASSOC

      See Also:
        Constant Field Values

    - #### CLX

          public static final int CLX

      See Also:
        Constant Field Values

    - #### PLCFPGDFTN

          public static final int PLCFPGDFTN

      See Also:
        Constant Field Values

    - #### AUTOSAVESOURCE

          public static final int AUTOSAVESOURCE

      See Also:
        Constant Field Values

    - #### GRPXSTATNOWNERS

          public static final int GRPXSTATNOWNERS

      See Also:
        Constant Field Values

    - #### STTBFATNBKMK

          public static final int STTBFATNBKMK

      See Also:
        Constant Field Values

    - #### PLCFDOAMOM

          public static final int PLCFDOAMOM

      See Also:
        Constant Field Values

    - #### PLCDOAHDR

          public static final int PLCDOAHDR

      See Also:
        Constant Field Values

    - #### PLCSPAMOM

          public static final int PLCSPAMOM

      See Also:
        Constant Field Values

    - #### PLCSPAHDR

          public static final int PLCSPAHDR

      See Also:
        Constant Field Values

    - #### PLCFATNBKF

          public static final int PLCFATNBKF

      See Also:
        Constant Field Values

    - #### PLCFATNBKL

          public static final int PLCFATNBKL

      See Also:
        Constant Field Values

    - #### PMS

          public static final int PMS

      See Also:
        Constant Field Values

    - #### FORMFLDSTTBS

          public static final int FORMFLDSTTBS

      See Also:
        Constant Field Values

    - #### PLCFENDREF

          public static final int PLCFENDREF

      See Also:
        Constant Field Values

    - #### PLCFENDTXT

          public static final int PLCFENDTXT

      See Also:
        Constant Field Values

    - #### PLCFFLDEDN

          public static final int PLCFFLDEDN

      See Also:
        Constant Field Values

    - #### PLCFPGDEDN

          public static final int PLCFPGDEDN

      See Also:
        Constant Field Values

    - #### DGGINFO

          public static final int DGGINFO

      See Also:
        Constant Field Values

    - #### STTBFRMARK

          public static final int STTBFRMARK

      See Also:
        Constant Field Values

    - #### STTBCAPTION

          public static final int STTBCAPTION

      See Also:
        Constant Field Values

    - #### STTBAUTOCAPTION

          public static final int STTBAUTOCAPTION

      See Also:
        Constant Field Values

    - #### PLCFWKB

          public static final int PLCFWKB

      See Also:
        Constant Field Values

    - #### PLCFSPL

          public static final int PLCFSPL

      See Also:
        Constant Field Values

    - #### PLCFTXBXTXT

          public static final int PLCFTXBXTXT

      See Also:
        Constant Field Values

    - #### PLCFFLDTXBX

          public static final int PLCFFLDTXBX

      See Also:
        Constant Field Values

    - #### PLCFHDRTXBXTXT

          public static final int PLCFHDRTXBXTXT

      See Also:
        Constant Field Values

    - #### PLCFFLDHDRTXBX

          public static final int PLCFFLDHDRTXBX

      See Also:
        Constant Field Values

    - #### STWUSER

          public static final int STWUSER

      See Also:
        Constant Field Values

    - #### STTBTTMBD

          public static final int STTBTTMBD

      See Also:
        Constant Field Values

    - #### UNUSED

          public static final int UNUSED

      See Also:
        Constant Field Values

    - #### PGDMOTHER

          public static final int PGDMOTHER

      See Also:
        Constant Field Values

    - #### BKDMOTHER

          public static final int BKDMOTHER

      See Also:
        Constant Field Values

    - #### PGDFTN

          public static final int PGDFTN

      See Also:
        Constant Field Values

    - #### BKDFTN

          public static final int BKDFTN

      See Also:
        Constant Field Values

    - #### PGDEDN

          public static final int PGDEDN

      See Also:
        Constant Field Values

    - #### BKDEDN

          public static final int BKDEDN

      See Also:
        Constant Field Values

    - #### STTBFINTFLD

          public static final int STTBFINTFLD

      See Also:
        Constant Field Values

    - #### ROUTESLIP

          public static final int ROUTESLIP

      See Also:
        Constant Field Values

    - #### STTBSAVEDBY

          public static final int STTBSAVEDBY

      See Also:
        Constant Field Values

    - #### STTBFNM

          public static final int STTBFNM

      See Also:
        Constant Field Values

    - #### PLFLST

          public static final int PLFLST

      See Also:
        Constant Field Values

    - #### PLCFLST

          @Deprecated
          public static final int PLCFLST

      Deprecated.
      See Also:
        Constant Field Values

    - #### PLFLFO

          public static final int PLFLFO

      See Also:
        Constant Field Values

    - #### PLCFTXBXBKD

          public static final int PLCFTXBXBKD

      See Also:
        Constant Field Values

    - #### PLCFTXBXHDRBKD

          public static final int PLCFTXBXHDRBKD

      See Also:
        Constant Field Values

    - #### DOCUNDO

          public static final int DOCUNDO

      See Also:
        Constant Field Values

    - #### RGBUSE

          public static final int RGBUSE

      See Also:
        Constant Field Values

    - #### USP

          public static final int USP

      See Also:
        Constant Field Values

    - #### USKF

          public static final int USKF

      See Also:
        Constant Field Values

    - #### PLCUPCRGBUSE

          public static final int PLCUPCRGBUSE

      See Also:
        Constant Field Values

    - #### PLCUPCUSP

          public static final int PLCUPCUSP

      See Also:
        Constant Field Values

    - #### STTBGLSYSTYLE

          public static final int STTBGLSYSTYLE

      See Also:
        Constant Field Values

    - #### PLGOSL

          public static final int PLGOSL

      See Also:
        Constant Field Values

    - #### PLCOCX

          public static final int PLCOCX

      See Also:
        Constant Field Values

    - #### PLCFBTELVC

          public static final int PLCFBTELVC

      See Also:
        Constant Field Values

    - #### MODIFIED

          public static final int MODIFIED

      See Also:
        Constant Field Values

    - #### PLCFLVC

          public static final int PLCFLVC

      See Also:
        Constant Field Values

    - #### PLCASUMY

          public static final int PLCASUMY

      See Also:
        Constant Field Values

    - #### PLCFGRAM

          public static final int PLCFGRAM

      See Also:
        Constant Field Values

    - #### STTBLISTNAMES

          public static final int STTBLISTNAMES

      See Also:
        Constant Field Values

    - #### STTBFUSSR

          public static final int STTBFUSSR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### clearFields

          public void clearFields()

    - #### getFieldOffset

          public int getFieldOffset(int field)

    - #### getFieldSize

          public int getFieldSize(int field)

    - #### setFieldOffset

          public void setFieldOffset(int field,
                                     int offset)

    - #### setFieldSize

          public void setFieldSize(int field,
                                   int size)

    - #### sizeInBytes

          public int sizeInBytes()

    - #### getFieldsCount

          public int getFieldsCount()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.